Create an ACH-originated debit or credit transaction

Create an ACH-originated transaction. See transfer object definition for parameter details.

🚧Warning

Use of this endpoint requires approval from Q2 and your bank of record.

Error Codes

Click to expand
CodeMessage (en-US)Notes
1-60000Any "Common Error Code" may occur.See Common Error Codes
61400Program is not authorized to use this endpoint. Please contact your relationship manager for details.
61401Missing required parameter '0'. Please refer to API documentation for required parameters.
63664Customer id 0 has insufficient privileges to deposit funds to account id 1.
63743Cannot withdraw more than 0 times per month from source account 1.
65005Tag 0 already exists. If provided, each transfer created must have a unique tag.
67504Customer id {requestingCustomerId} has insufficient privileges to withdraw funds from account id {accountId}.
70200Invalid source account id 0.
70201Customer id 0 has insufficient privileges to withdraw funds from account id 1
70202Source account id 0 is not in an Open status.
70203Cannot withdraw more than {0:C}.
70204Insufficient funds in source account id 0. Current available balance is 1. Requested withdraw amount is 2.
70205Amount to withdraw must be between 0 and 1.
70206Cannot withdraw more than 0 per day for this customer.
70207Cannot withdraw more than 0 per month for this customer.
70208Cannot withdraw more than 0 per day from source account 1.
70209Cannot withdraw more than 0 per month from source account 1.
70211Account is temporarily locked (Reason=0).
70300Invalid destination account id 0.
70301Customer id has insufficient privileges to deposit funds into account id 0.
70302Destination account id 0 is not in an Open status.
70303Cannot deposit more than 0.
70304Amount to deposit must be between 0 and 1.
70305Cannot deposit more than 0 per day for this customer.
70306Cannot deposit more than 0 per month for this customer.
70307Cannot deposit more than 0 per day to destination account 1.
70308Cannot deposit more than 0 per month to destination account 1.
70311Account is temporarily locked (Reason=0).
194816Invalid direction 0.
194817Tag must not exceed 50 characters
195100RequestingCustomerId {requestingCustomerId} must have an active customer relationship to the business customer who owns the account.
199101Cannot withdraw more than 0 per transaction from source account 1.
199102Cannot withdraw more than 0 per day from source account 1.
199103Cannot withdraw more than 0 per month from source account 1.
199104Cannot deposit more than 0 per transaction to destination account 1.
199105Cannot deposit more than 0 per day to destination account 1.
199106Cannot deposit more than 0 per month to destination account 1.
200300AccountId is required or invalid.
200301CustomerId is required or invalid.
2003020 is required.
Body Params
int32
required
≥ 1

The accountId to which funds are being deposited or from which funds are being withdrawn. Note: This is not accountNumber.

number
required
≥ 0.01
string
required
length ≤ 10
int32
required
≥ 1
string
required
length ≤ 17
enum
required
Allowed:
date

If effectiveEntryDate is not provided, the transaction will be processed in the next available ACH transfer window.

boolean
required
boolean
required
string
length ≤ 80
enum
required
Allowed:
string
required
length ≤ 22
string
length ≤ 9
string
required
length ≤ 3
string
length ≤ 50
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json